v4.0

put

/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/sites/{siteId}/inventory/kits

Updates the status of a kit at a site. Returns formInstanceId when user updates kits to pendingDestruction.
Rights: OrsInventoryPost and either OrsUnblinded or OrsBlinded.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : kits
Type: array
Title: kits
Contains kit IDs.
Show Source
Example:
[
    "B1B8327AFAA6412287106192AB5984EF",
    "C36A3197FDEE433FB5547EE83DE99E4B"
]
Nested Schema : SiteUserUpdateKitsFilter
Type: object
Contains filter criteria to update kits.
Show Source
Example:
{
    "kitRange":"KIT_NUMBER:10:100",
    "searchString":"KIT",
    "inventoryStatusIds":[
        5,
        10
    ],
    "serialized":true
}
Nested Schema : inventoryStatusIds
Type: array
Title: inventoryStatusIds
List of inventory status IDs.
Show Source
Example:
[
    5,
    10
]
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : UpdateSiteKitResponse
Type: object
Title: UpdateSiteKitResponse
Response object of update kit at site.
Show Source
Examples

400 Response

For invalid subject or inventory status or invalid transition status for, kit does not belong to site.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

404 Response

For invalid study ID or study still in design phase AND for invalid kit and study combination.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top